Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Mar 2020 16:09:57 +0100

Hi sirgazil,

sirgazil via Bug reports for GNU Guix <[email-masked]> skribis:

> I can't use GNOME anymore because of the problem I explained in the following thread:
>
> https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html
>
> On recent system upgrades, the problem got worse. Before, I could get to the end of the day despite the leak; but now it takes around 3 hours for the .gnome-shell-real process run by the gdm user to eat the remaining RAM.

Ouch.

> It seems that the bug is stronger in the GNOME desktop, but I've seen, at least once, .gnome-shell-real using an abnormal amount of RAM while in sway (about 800 MiB).

Could you check if it happens in a VM?  That is, you build your GNOME
config with ‘guix system vm’, try to do some activity in the VM, and
check in top whether ‘gnome-shell’ is growing.

Thanks,
Ludo’.